Name:           xnoise-plugins-core
Version:        0.1.12
Release:        1%{?dist}
Summary:        Core plugins for xnoise

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.xnoise-media-player.com/
Source0:        http://xnoise.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  vala
BuildRequires:  xnoise-devel = %{version}
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  intltool
%if ! 0%{?fedora} > 14
# not compatible with libnotify-0.7.x yet
BuildRequires:  libnotify-devel
%endif
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite-devel
BuildRequires:  taglib-devel
BuildRequires:  unique-devel


%description
This package contains the core plugins for xnoise. Their usage with
xnoise is optional.

%if 0%{?_with_devel:1}
%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the pkg-config configuration file
for developing additional xnoise plugins.
%endif


%prep
%setup -q


%build
# these plugins are currently unstable
%configure
#  --disable-mediawatcher \
#  --disable-lastfm-covers
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# remove invalid locale file
rm -rf $RPM_BUILD_ROOT%{_share}/locale/default
%if 0%{!?_with_devel:1}
# Remove unneeded pkgconfig file
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}-1.0.pc
%endif
%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/xnoise/*
# the license files included here are not used (yet)
%exclude %{_datadir}/xnoise-plugins-core

%if 0%{?_with_devel:1}
%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-1.0.pc
%endif



%changelog
* Sat Nov  6 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.12-1
- Update to 0.1.12

* Sat Jul  3 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-2
- Add missing BR on intltool
- notification plugin: remove <b>...</b> formatting
- disable mediawatcher and lastfm-covers plugins for now

* Thu Jun 24 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-1
- Initial package
